@ECHO OFF

REM In Terminalserver-Umgebungen lassen Sie die Schueler diese
REM Batch-Datei zum Starten des Programms benutzen!

REM Wenn Sie die Workstations mit Buchstaben und / oder Ziffern
REM "durchnummerieren" und jeder Schueler dann das betreffende Zeichen
REM eintippt, funktioniert das Programm "LESEKINO - Lesen im Rhythmus der Silben"
REM auch in der Terminalserver-Umgebung einwandfrei (s. auch TermServ.txt).

echo.
echo  Diese Batch-Datei dient zum Starten in Terminalserver-Umgebungen
echo  (s. auch beiliegende TermServ.txt)
echo.

set /p choice=Gib das am Monitor vermerkte Zeichen ein und drueck dann die Eingabetaste: 

if not "%choice%" == "" set choice=%choice:~0,1%
if "%choice%" == "1" goto 1
if "%choice%" == "2" goto 2
if "%choice%" == "3" goto 3
if "%choice%" == "4" goto 4
if "%choice%" == "5" goto 5
if "%choice%" == "6" goto 6
if "%choice%" == "7" goto 7
if "%choice%" == "8" goto 8
if "%choice%" == "9" goto 9
if "%choice%" == "a" goto a
if "%choice%" == "b" goto b
if "%choice%" == "c" goto c
if "%choice%" == "d" goto d
if "%choice%" == "e" goto e
if "%choice%" == "f" goto f
if "%choice%" == "g" goto g
if "%choice%" == "h" goto h
if "%choice%" == "i" goto i
if "%choice%" == "j" goto j
if "%choice%" == "k" goto k
if "%choice%" == "l" goto l
if "%choice%" == "m" goto m
if "%choice%" == "n" goto n
if "%choice%" == "o" goto o
if "%choice%" == "p" goto p
if "%choice%" == "q" goto q
if "%choice%" == "r" goto r
if "%choice%" == "s" goto s
if "%choice%" == "t" goto t
if "%choice%" == "u" goto u
if "%choice%" == "v" goto v
if "%choice%" == "w" goto w
if "%choice%" == "x" goto x
if "%choice%" == "y" goto y
if "%choice%" == "z" goto z
goto ungueltig

:1
TB95RUN.EXE LK-TS1.EXE
goto ende
:2
TB95RUN.EXE LK-TS2.EXE
goto ende
:3
TB95RUN.EXE LK-TS3.EXE
goto ende
:4
TB95RUN.EXE LK-TS4.EXE
goto ende
:5
TB95RUN.EXE LK-TS5.EXE
goto ende
:6
TB95RUN.EXE LK-TS6.EXE
goto ende
:7
TB95RUN.EXE LK-TS7.EXE
goto ende
:8
TB95RUN.EXE LK-TS8.EXE
goto ende
:9
TB95RUN.EXE LK-TS9.EXE
goto ende
:a
TB95RUN.EXE LK-TSa.EXE
goto ende
:b
TB95RUN.EXE LK-TSb.EXE
goto ende
:c
TB95RUN.EXE LK-TSc.EXE
goto ende
:d
TB95RUN.EXE LK-TSd.EXE
goto ende
:e
TB95RUN.EXE LK-TSe.EXE
goto ende
:f
TB95RUN.EXE LK-TSf.EXE
goto ende
:g
TB95RUN.EXE LK-TSg.EXE
goto ende
:h
TB95RUN.EXE LK-TSh.EXE
goto ende
:i
TB95RUN.EXE LK-TSi.EXE
goto ende
:j
TB95RUN.EXE LK-TSj.EXE
goto ende
:k
TB95RUN.EXE LK-TSk.EXE
goto ende
:l
TB95RUN.EXE LK-TSl.EXE
goto ende
:m
TB95RUN.EXE LK-TSm.EXE
goto ende
:n
TB95RUN.EXE LK-TSn.EXE
goto ende
:o
TB95RUN.EXE LK-TSo.EXE
goto ende
:p
TB95RUN.EXE LK-TSp.EXE
goto ende
:q
TB95RUN.EXE LK-TSq.EXE
goto ende
:r
TB95RUN.EXE LK-TSr.EXE
goto ende
:s
TB95RUN.EXE LK-TSs.EXE
goto ende
:t
TB95RUN.EXE LK-TSt.EXE
goto ende
:u
TB95RUN.EXE LK-TSu.EXE
goto ende
:v
TB95RUN.EXE LK-TSv.EXE
goto ende
:w
TB95RUN.EXE LK-TSw.EXE
goto ende
:x
TB95RUN.EXE LK-TSx.EXE
goto ende
:y
TB95RUN.EXE LK-TSy.EXE
goto ende
:z
TB95RUN.EXE LK-TSz.EXE
goto ende

:ungueltig
echo.
echo Gueltige Zeichen sind die Buchstaben von A bis Z und die Ziffern von 1 bis 9
echo.
echo Starte das Programm bitte nochmals und gibt dann ein gueltiges Zeichen ein!
echo.
pause

:ende
